<?php

if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {exit( 'You are not allowed to call this page directly.' );}

/**
 * Cross Simpods Settings Controller
 *
 * @version: 1.0.0
 * @package: Simpods MVC
 * @author: Dongjie Xu
 * @since: 15/01/2019
 */
class Ctrl_MVC_Admin_Simpods_Cross_Simpods extends Ctrl_MVC_Admin_Simpods_Parent_Cross_Simpods {

	public function __construct() {

		$this->actions();
		$this->filters();

	}

	/**
	 * WordPress actions to hook when the admin controller is loaded
	 * @return null
	 */
	public function actions() {
		
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue' ), 11 );
	}

	/**
	 * WordPress filters to hook when the admin controller is loaded
	 * @return null
	 */
	public function filters() {}

	/**
	 * Scripts & styles to register & enqueue when the admin controller is loaded
	 * @return null
	 */
	public function enqueue() {}

}
