"use strict";

jQuery(document).ready(function ($) {
  $('#simpods-ss-submit').click(function (e) {
    e.preventDefault();

    if ($('#simpods-ss-form').find('input, select, textarea').bootstrap_validate()) {
      $('#simpods-ss-form').submit();
    }
  });
  $('#simpods-ss-add-submit').click(function (e) {
    e.preventDefault();

    if ($('#simpods-ss-add-form').find('input, select, textarea').bootstrap_validate()) {
      $('#simpods-ss-add-form').submit();
    }
  });
  $('#simpods-ss-edit-submit').click(function (e) {
    e.preventDefault();

    if ($('#simpods-ss-edit').find('input, select, textarea').bootstrap_validate()) {
      $('#simpods-ss-edit').submit();
    }
  });
  open_edit_modal('simpods-ss-modal'); // If SCSS compiling is disabled, hide the options and watch for changes

  $('#style_compile_scss').change(function () {
    show_hide_fields({
      field_val: $('#style_compile_scss').is(':checked'),
      fields: '#style_scss_compile_frequency-row, #style_scss_compile_type-row, #simpods-ss-add, #simpods-ss-table, #simpods-component-panel > hr',
      target_val: true,
      row: false
    });
  });
  $('#style_compile_scss').trigger('change');
});
//# sourceMappingURL=simpods-style-script.js.map
