<?php
if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {exit( 'You are not allowed to call this page directly.' );}
/**
 * Cross Admin Ajax For the Simpods team only
 *
 * @version: 0.0.1
 * @package: Simpods MVC
 * @author: Dongjie Xu
 * @since: 04/02/2020
 */
class Ajax_Simpods_Cross_Admin {
	public function __construct() {		
		add_action( 'wp_ajax_simpods_sorting', array( $this, 'simpods_sorting' ) );		
	}
	/**
	 * update order
	 */
	public function simpods_sorting( ){
		if ( ! isset( $_POST['action'] ) || $_POST['action'] != 'simpods_sorting' ) {
			wp_die();
		}
		if ( ! isset( $_POST['security'] ) || wp_verify_nonce( $_POST['security'], 'simpods_admin_ajax_nonce' ) === false ) {
			wp_die();
		}
		global $wpdb, $current_user;
		$return		= array( 'info' => 'Completed' );
		$success 	= true;
		if( isset( $_POST['order'] ) ){
			$count 	=	count( $_POST['order'] );
			for( $i = 0; $i < $count; $i ++ ){
				$ids = explode( '-', $_POST['order'][ $i ] );
				
				if( count( $ids ) >= 2 ){
					$success 	= $wpdb->update( 
						$wpdb->prefix . 'posts', 
						array( 
							'menu_order' => ( $i + 1 ),	// string							
						), 
						array( 'ID' => $ids[ 1 ] ), 
						array( 
							'%d',								
						), 
						array( '%d' ) 
					);
						
					// no need to continue if it fails
					if( false === $success ){
						$return[ 'info' ]	= sprintf( esc_html__( 'Failed on post %d', 'simpods-mvc' ), $ids[1] );
						break;
					}
									
				}
			}
			if( $success ){
				wp_send_json_success( $return ); 
			} else {
				wp_send_json_error( $return );
			}
		} else {
			wp_send_json_error( $return );
		}
	}
}
