<?php
if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {exit( 'You are not allowed to call this page directly.' );}
/**
 * Linked Areas Ajax
 *
 * @version: 1.0.0
 * @package: Simpods MVC
 * @author: Andrew Palfrey
 * @since: 21/09/2018
 */
class Simpods_Linked_Areas {
	public function __construct() {
		add_action( 'wp_ajax_linked_area_main_change', array( $this, 'linked_area_main_change' ) );
	}
	/**
	 * Gets the available friend tables when the main table is changed
	 *
	 * @return void
	 */
	public function linked_area_main_change() {
		if ( !isset( $_POST['table'] ) || !isset( $_POST['action'] ) || $_POST['action'] != 'linked_area_main_change' ) {
			exit();
		}
		if ( !isset( $_POST['security'] ) || !wp_verify_nonce( $_POST['security'], 'simpods_linked_areas' ) ) {
			exit();
		}
		$linked_area 	= new MVC_Admin_Simpods_Linked_Areas( false );
		$return_data    = $linked_area->filter_main_table( $_POST );
		wp_send_json( $return_data );
		
	}
}
//new Ajax_Simpods_Linked_Area();