<?php

if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {exit( 'You are not allowed to call this page directly.' );}

/**
 * Parent Cross Simpods Settings Controller
 *
 * @version: 1.0.0
 * @package: Simpods MVC
 * @author: Dongjie Xu
 * @since: 15/01/2019
 */
class Ctrl_MVC_Admin_Simpods_Parent_Cross_Simpods extends Ctrl_MVC_Admin_Controller {

	public function __construct() {

	}

	/**
	 * run the must-run function
	 * @return [type] [description]
	 */
	final public function init() {

		$this->force_actions();
		$this->force_filters();
	}
	/**
	 * WordPress actions to hook when the admin controller is loaded
	 *
	 * @return null
	 */
	final public function force_actions() {
		global $cross_admin;
		add_action( 'admin_enqueue_scripts', array( $cross_admin, 'bootstrap_custom' ), 8 );
		add_action( 'admin_enqueue_scripts', array( $this, 'force_enqueue' ), 9 );

	}

	/**
	 * WordPress filters to hook when the admin controller is loaded
	 *
	 * @return null
	 */
	final public function force_filters() {}

	/**
	 * Scripts & styles to register & enqueue when the admin controller is loaded
	 *
	 * @return null
	 */
	final public function force_enqueue() {
		global $cross_admin;
	}

}
