<?php
if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {exit( 'You are not allowed to call this page directly.' );}
/**
 * The controller for Simpods email on page with page=pods-add-new-simpods_email
 *
 * @version: 1.0.0
 * @author: Dongjie Xu
 * @since 24/10/2019
 */
class Ctrl extends Ctrl_MVC_Admin_Controller {
	public function __construct() {
		global $table_prefix, $wpdb;
		$this->actions();
		$this->filters();
	}
	public function actions() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue' ), 11 );
	}
	public function filters() {}
	public function enqueue() {
		$files = array(						
			'pods-manage-simpods_email' => SIMPODS_MVC_URL . '/admin/js/pods-manage-simpods_email.js',
		);
		$this->include( $files );
		// prepare ajax
		wp_localize_script( 
			'pods-manage-simpods_email', 
			'simpods_email_ajax', 
			array(
				'ajaxurl'   => admin_url( 'admin-ajax.php' ),
			    'security' 	=> wp_create_nonce( 'simpods-email-nonce' ),			    
			)
		);	
	}
}