<?php
if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {exit( 'You are not allowed to call this page directly.' );}

/**
 * Simpods Email controller
 *
 * @version: 1.0.0
 * @package: Simpods MVC
 * @author: Dongjie Xu
 * @since: 11/05/2020
 */
class Ctrl extends Ctrl_MVC_Admin_Controller {
	
	public $edit_form_items    = array();
	public $edit_form_settings = array();

	public $notice 		= '';
	public $wp_errors  = false;
	public function __construct() {
		$this->edit_form_items = array(
			'spe_item_subject'     => array(
				'type'    => 'text',
				'title'   => esc_html__( 'Subject', 'simpods-mvc' ),
				'value'   => '',
				'options' => array(
					'required' => true,
					'readonly' => true,
					'id'       => 'edit-spe_item_subject',
				),
				'errors'  => array(
					'error' => '',
				),
			),
			'spe_recipients_field'     => array(
				'type'    => 'text',
				'title'   => esc_html__( 'Recipient Type', 'simpods-mvc' ),
				'value'   => '',
				'options' => array(
					'required' => true,
					'readonly' => true,
					'id'       => 'edit-spe_recipients_field',
				),
				'errors'  => array(
					'error' => '',
				),
			),
			'spe_user_roles'     => array(
				'type'    => 'textarea',
				'title'   => esc_html__( 'User Roles', 'simpods-mvc' ),
				'value'   => '',
				'options' => array(
					'required' => true,
					'readonly' => true,
					'id'       => 'edit-spe_user_roles',
				),
				'errors'  => array(
					'error' => '',
				),
			),			
			
			'spe_success'     => array(
				'type'    => 'textarea',
				'title'   => esc_html__( 'Successfully Emailed', 'simpods-mvc' ),
				'value'   => '',
				'options' => array(
					'required' => true,
					'readonly' => true,
					'id'       => 'edit-spe_success',
				),
				'errors'  => array(
					'error' => '',
				),
			),
			'spe_failed'     => array(
				'type'    => 'textarea',
				'title'   => esc_html__( 'Failed To Email', 'simpods-mvc' ),
				'value'   => '',
				'options' => array(
					'required' => true,
					'readonly' => true,
					'id'       => 'edit-spe_failed',
				),
				'errors'  => array(
					'error' => '',
				),
			),									
			'id'               => array(
				'type'    => 'number',
				'title'   => esc_html__( 'ID', 'simpods-mvc' ),
				'value'   => '',
				'options' => array(
					'required' => true,
					'readonly' => true,
					'id'       => 'edit-id',
				),
				'errors'  => array(
					'error' => esc_html__( 'There should be an ID in here...', 'simpods-mvc' ),
				),
			),
		);

		$this->edit_form_settings = array(
			'table'  => array(
				'class' => '',
				'id'    => '',
			),
			'submit' => false,
			'form'   	=> false,
			'nonce'  	=> 'edit_entry',
			'action' 	=> 'edit_entry',
			
		);
		$this->actions();
		$this->filters();

	}
}