<?php
if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {exit( 'You are not allowed to call this page directly.' );}
/**
 * Sample Admin Controller
 *
 * @version: 1.0.0
 * @package: simpods-mvc
 * @author: Dongjie Xu
 * @since: 20/05/2014
 */
class Ctrl extends Ctrl_MVC_Admin_Controller {
	public $plugins = array();
	public function __construct() {
		$this->get_plugin_list();
	}
	private function get_plugin_list() {
	
		$plugins = array(
			'pods' => array(
				'title'       	=> esc_html__( 'Pods Framework', 'simpods-mvc' ),
				'slug'        	=> 'pods',
				'active_file' 	=> 'pods/init.php',
				'required'    	=> false,
				'thumbnail' 	=> array(
										'1x' 	=> '',
										'2x' 	=> '',
										'svg'	=> SIMPODS_URL . '/mvc/admin/images/plugin-icons/pods.svg',
									)				
			),
			'panda-pods-repeater-field' => array(
				'title'      	=> esc_html__( 'Panda Pods Repeater Field', 'simpods-mvc' ),
				'subtitle'    	=> esc_html__( 'Requires Pods Framework', 'simpods-mvc' ),
				'slug'        	=> 'panda-pods-repeater-field',
				'active_file' 	=> 'panda-pods-repeater-field/panda-pods-repeater-field.php',
				'required'    	=> false,
				'thumbnail' 	=> array(
										'1x' 	=> SIMPODS_URL . '/mvc/admin/images/plugin-icons/panda-pods-repeater-field.png',
										'2x' 	=> '',
										'svg'	=> '',
									)					
			),
		);
		$plugins = apply_filters( 'simpods_plugin_list', $plugins );
		usort ( $plugins, function ( $a, $b ) {
			return ( $a['required'] < $b['required'] ) ? 1 : -1;
		} );
		$this->plugins = $plugins;
	}
} 
