'use strict';

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

jQuery(document).ready(function ($) {
  alert('dddddd');
  $('.pods-simpods-button-field.Send-Email').on('click', function (event) {
    /*if( $( this ).parents('.simpodsbuttonfield_link').length > 0 ){ // if it is a link, return true
    	return true;
    }*/
    event.preventDefault();
    var $content_str = $('#pods-form-ui-pods-field-content').val(); // update textarea so we can get the content

    if ($('#pods-form-ui-pods-field-content').css('display') == 'none') {
      $('#pods-form-ui-pods-field-content-html').click();
      $content_str = $('#pods-form-ui-pods-field-content').val();
      $('#pods-form-ui-pods-field-content-tmce').click();
    }

    var btn_ele = $(this);
    btn_ele.addClass('disabled');
    btn_ele.parent().parent().find('.simpods-button-ajax-loader.Send-Email').removeClass('hidden'); // get picked roles

    var roles_arr = [];
    var j = 0;

    for (var i = 0; i < $('.pods-form-ui-row-name-user-roles .pods-form-ui-field-type-pick').length; i++) {
      if ($('#pods-form-ui-pods-field-user-roles' + i).is(':checked')) {
        roles_arr[j] = $('#pods-form-ui-pods-field-user-roles' + i).val();
        j++;
      }
    }

    var post_id = $('#pods-form-ui--pods-id').val();
    var post_obj = {
      'action': 'simpods_email',
      'slug': $('#pods-form-ui-pods-field-permalink').val(),
      'nonce': simpods_email_ajax.security,
      'users': $('#pods-form-ui-pods-field-users').val(),
      'user_role': roles_arr,
      'recipients_field': $('#pods-form-ui-pods-field-recipients-field').val(),
      'send_type': $('#pods-form-ui-pods-field-send-type').val(),
      'id': post_id,
      'subject': $('#pods-form-ui-pods-field-subject').val(),
      'from': $('#pods-form-ui-pods-field-from-email').val(),
      'to_email': $('#pods-form-ui-pods-field-to-email').val(),
      'cc': $('#pods-form-ui-pods-field-cc').val(),
      'bcc': $('#pods-form-ui-pods-field-bcc').val(),
      'test_only': $('#pods-form-ui-pods-field-test-user-only').val(),
      'content': $content_str,
      'page': 0,
      'start_from': $('#pods-form-ui-pods-field-start-email-position').val(),
      'how_many': $('#pods-form-ui-pods-field-how-many-each-time').val(),
      'magic_field_replace': $('#pods-form-ui-pods-field-magic-field-replace').val(),
      'instructions': $('#pods-form-ui-pods-field-instructions').val(),
      'send_reports_to': $('#pods-form-ui-pods-field-send-reports-to').val(),
      'total_sent': 0,
      'total_failed': 0,
      'group_id': 0
    };
    ajax_send();

    function ajax_send() {
      $.post(simpods_email_ajax.ajaxurl, post_obj).done(ajax_done).fail(ajax_fail);
    }

    function ajax_done(res) {
      if (typeof res.data != 'undefined') {
        if (res.data.more) {
          post_obj.page++;

          if (typeof res.data.group_id != 'undefined') {
            post_obj.group_id = res.data.group_id;
          }

          if (typeof res.data.total_sent != 'undefined') {
            post_obj.total_sent = res.data.total_sent;
          }

          if (typeof res.data.total_failed != 'undefined') {
            post_obj.total_failed = res.data.total_failed;
          }

          ajax_send();
        } else {
          if (typeof res.data.total_sent != 'undefined') {
            res.data.message += '\
						Total sent: ' + res.data.total_sent;
          }

          if (typeof res.data.total_failed != 'undefined') {
            res.data.message += '\
						Total failed: ' + res.data.total_failed;
          }

          ajax_finished(res.data.message);
        }
      } else {
        ajax_finished('Unknown AJAX Error');
      }
    }

    ;

    function ajax_fail(jqxhr) {
      if (_typeof(jqxhr.responseJSON) == 'object') {
        console.error('AJAX Error :', jqxhr.responseJSON.data);
        var no_id_msg = '';

        if (!$.isNumeric(post_id)) {
          no_id_msg = '. Please publish the email first.';
        }

        ajax_finished(jqxhr.responseJSON.data + no_id_msg);
      } else {
        console.error('Unknown AJAX Error.');
        ajax_finished('Unknown AJAX Error');
      }
    }

    function ajax_finished(msg) {
      btn_ele.removeClass('disabled');
      btn_ele.parent().parent().find('.simpods-button-ajax-loader.Send-Email').addClass('hidden');

      if (typeof msg != '') {
        alert(msg);
      }
    }
  });
});
//# sourceMappingURL=pods-manage-simpods-email.js.map
