"use strict";

jQuery(document).ready(function ($) {
  //var simpods_media_init = function()  {
  var clicked_button = false; // jQuery(selector).each(function (i, input) {
  //  var button = jQuery(input).next(button_selector);

  $('.simpodspodsfile-btn').click(function (event) {
    event.preventDefault();
    var btn_element = $(this);
    var btn_id = btn_element.prop('id');
    var target = btn_element.data('target');
    var css_class = '.unique_name';
    var selected_img;
    clicked_button = $(this); // limit types in the media library

    var picked_type = 'image'; // call ajax in simpods_global.class.php

    var data_arr = {
      action: 'admin_simpodspodsfile_before_upload',
      security: simpodspodsfile_set.nonce,
      folder: simpods_files_options[target]['simpodspodsfile_folder'],
      sub_folder: simpods_files_options[target]['simpodspodsfile_sub_folder'],
      sub_folder_id: simpods_files_parents['id'],
      protect_folder: simpods_files_options[target]['simpodspodsfile_protect_folder'],
      allow_local: simpods_files_options[target]['simpodspodsfile_allow_local']
    };
    $.post(simpodspodsfile_set.ajaxurl, data_arr, function (response) {
      if (response != '') {}
    });

    if (simpods_files_options[target]['simpodspodsfile_type'] == 'images') {} //picked_type = 'application/pdf';
    // configuration of the media manager new instance


    wp.media.frames.simpods_frame = wp.media({
      title: simpods_files_options[target]['simpodspodsfile_modal_add_button'],
      multiple: false
      /*			library: {
      				type: [ picked_type ]
      			}*/

    }); // check for media manager instance

    if (wp.media.frames.simpods_frame) {
      if ($('#choson-media-window').val() == btn_id) {
        // if it is the same media window
        wp.media.frames.simpods_frame.open(); //return;
      } else {
        $('#choson-media-window').val(btn_id);
      }
    } // Function used for the image selection and media manager closing


    var simpods_media_set_image = function simpods_media_set_image() {
      var selection = wp.media.frames.simpods_frame.state().get('selection'); // no selection

      if (!selection) {
        return;
      } // iterate through selected elements


      selection.each(function (attachment) {
        var url = attachment.attributes.url;
        var type = attachment.attributes.mime;
        var file_html = ''; // var file_url	=	attachment.attributes.title;

        var file_url = url;

        if (type.indexOf('image') == -1) {
          if (type.indexOf('audio') != -1) {
            url = simpodspodsfile_set['site_url'].replace(/\/$/, '') + '/wp-includes/images/media/audio.png';
          } else if (type.indexOf('video') != -1) {
            url = simpodspodsfile_set['site_url'].replace(/\/$/, '') + '/wp-includes/images/media/video.png';
          } else {
            url = simpodspodsfile_set['site_url'].replace(/\/$/, '') + '/wp-includes/images/media/document.png';
          }
        }

        file_html = '<img class="pinkynail" src="' + url + '" alt="Icon">';
        $('#media-window').html(''); //$( 'input[name="' + target + '"]' ).val( attachment.id );

        if (simpods_files_options[target]['simpodspodsfile_format_type'] == 'single') {
          $('.' + target + '-list').html('');
        }

        add_file(target, attachment.id, file_html, file_url, simpodspodsfile_set['deselect']);
        $('ul.' + target + '-list').css('display', 'block');
      });
    }; // closing event for media manger
    //wp.media.frames.simpods_frame.on('close', simpods_media_set_image);
    // image selection event


    wp.media.frames.simpods_frame.on('select', simpods_media_set_image); // showing media manager

    wp.media.frames.simpods_frame.open();
  });

  function add_file(target, file_id, file_html, file_url, deselect) {
    var html = '' + '<li class="pods-dfv-list-item" id="' + target + '-' + file_id + '">' + '<input name="' + target + '[' + file_id + '][id]" data-name-clean="' + target + '-id" id="pods-form-ui-' + target + '-' + file_id + '-id" class="pods-form-ui-field pods-form-ui-field-type-simpodspodsfile pods-form-ui-field-name-' + target + ' pods-field-template-rows" value="' + file_id + '" type="hidden">' + '<ul class="pods-dfv-list-meta media-item">' + '<li class="pods-dfv-list-col pods-dfv-list-icon">' + file_html + '</li>' + '<li class="pods-dfv-list-col pods-dfv-list-name">' + '<input name="' + target + '[' + file_id + '][title]" data-name-clean="' + target + '-title" id="pods-form-ui-' + target + '-' + file_id + '-title" class="pods-form-ui-field-type-simpodspodsfile pods-form-ui-field-name-' + target + '-title" value="' + file_url + '" maxlength="255" type="text">' + '</li>' + '<li class="pods-dfv-list-col pods-dfv-list-actions">' + '<ul>' + '<li class="pods-dfv-list-col pods-dfv-list-remove">' + '<a href="#remove" class="simpods-file-delete-btn" title="Deselect" data-target="' + target + '" data-id="' + file_id + '">' + deselect + '</a>' + '</li>' + '</ul>' + '</li>' + '</ul>' + '</li>';
    $('.' + target + '-list').append(html);
  }

  for (var i = 0; i < simpods_files.length; i++) {
    add_file(simpods_files[i]['target'], simpods_files[i]['file_id'], simpods_files[i]['file_html'], simpods_files[i]['file_url'], simpods_files[i]['deselect']);
  } //$('.simpods-file-delete-btn').live('click', function( evt ){


  $(document.body).on('click', '.simpods-file-delete-btn', function (evt) {
    evt.preventDefault();
    var target = $(this).data('target');
    var id = $(this).data('id');
    $('#' + target + '-' + id).remove();

    if ($('ul.' + target + '-list li').length == 0) {
      $('ul.' + target + '-list').css('display', 'none');
    }
  });
});
//# sourceMappingURL=podsfield_simpodspodsfile.js.map
