"use strict";

jQuery(document).ready(function ($) {
  /**
   * drag_drop for drag and drop
   */
  var drag_drop = function drag_drop(e, tr) {
    var $originals = tr.children();
    var $helper = tr.clone();
    $helper.children().each(function (index) {
      $(this).width($originals.eq(index).width());
    });
    return $helper;
  },
      update_order = function update_order(e, ui) {
    var the_order = $(this).sortable('toArray');
    var data_obj = {
      action: 'simpods_sorting',
      order: the_order,
      security: simpods_admin_ajax.nonce
    };
    $.post(simpods_admin_ajax.ajaxurl, data_obj, function (resp_arr) {//console.log( response_arr );
      //				pprf_odd_even_color( resp_arr.data.pprf_id );
    });
  };

  if ($('#the-list').length != 0) {
    $('#the-list').sortable({
      helper: drag_drop,
      cursor: 'move',
      opacity: 0.7,
      tolerance: 'intersect',
      update: update_order,
      cancel: '',
      handle: '.simpods_sorting'
    });
  }
});
//# sourceMappingURL=simpods-sorting.js.map
