<?php
if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {exit( 'You are not allowed to call this page directly.' );}
/**
 * Parent class for controllers
 *
 * @version: 2.0.0
 * @package: Simpods MVC
 * @author: Dongjie Xu
 * @since: 13/04/2015
 */
abstract class Ctrl_MVC_Front_Controller {
	public $current_pod  = 'pods_page';
	public $current_pages = array();
	public function __construct( $current_pod = '' ) {
		if ( trim( $current_pod ) != '' ) {
			$this->current_pod = $current_pod;
		} else {
		}
	}
	abstract public function actions();
	abstract public function filters();
	abstract public function enqueue();
	final public function force_init() {
		$this->force_filters();
	}
	final public function force_filters() {
		//add_filter('wp_nav_menu_objects', array($hijackme, 'hijack_menu'), 10, 2);
	}
	/**
	 * simplify include_fn
	 */
	final public function include( $files, $is_child_first = true, $depths = array(), $show_error = false, $attrs = array() ) {
		global $funs;
		$funs->include( $files, $is_child_first, $depths, $show_error, $attrs );
	}
}
